const { resolve } = require('path')
const jsoner = require('../utils/jsoner')
const pkg = jsoner(resolve('./package.json'))

test('get the name of current package', async () => {
  const name = 'vue-cli-plugin-istrong-publish'

  expect(await pkg.get()).toMatch('vue-cli-plugin-istrong-publish')
  expect(await pkg.get('scripts.test')).toMatch('jest')
})

test('set a value to package.json', async () => {
  let timestamp = new Date().toString()

  pkg.set({ timestamp })

  expect(await pkg.get().timestamp).toBe(timestamp)
})