const execa = require('execa')
const supportsColor = require('supports-color')

if (supportsColor.stdout) {
    console.log('Terminal stdout supports color');
}
 
if (supportsColor.stdout.has256) {
    console.log('Terminal stdout supports 256 colors');
}
 
if (supportsColor.stderr.has16m) {
    console.log('Terminal stderr supports 16 million colors (truecolor)');
}

const child = execa('npm publish', [], { 
  cwd: process.cwd(),
  stdio: ['inherit', 'pipe', 'pipe'],
  shell: true
})
child.stdout.on('data', buffer => {
  console.log('stdout:', new Date(), buffer.toString())
})
child.stderr.on('data', buffer => {
  console.log('stderr:', new Date(), buffer.toString())
})